package org.springblade.business.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

@Data
@TableName("u_image_classification_show")
@EqualsAndHashCode(callSuper = true)
public class ImageClassificationShow extends BaseEntity {
    /**
     * 主键
     */
    private Long id;

    /**
     * 项目ID
     */
    @ApiModelProperty("项目ID")
    private Long projectId;

    /**
     * 合同段ID
     */
    @ApiModelProperty("合同段ID")
    private Long contractId;

    /**
     * 分类ID
     */
    @ApiModelProperty("分类ID")
    private Long classifyId;

    /**
     * 是否显示该分类
     */
    @ApiModelProperty("是否显示该分类, 1显示")
    private Integer isShow;

}
