package org.springblade.business.feign;


import org.springblade.business.entity.ConstructionLedger;
import org.springblade.common.constant.BusinessConstant;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(value =
        BusinessConstant.APPLICATION_WEATHER_NAME
)
public interface ConstructionLedgerFeign {
    String INIT_URL = "/initConstructionLedger";

    @PostMapping(INIT_URL)
    boolean initConstructionLedger(@RequestBody ConstructionLedger constructionLedger);
}
