package org.springblade.business.vo;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class AssessmentUserContentVO {

    private String userName;

    private List<Assessment> assessmentList = new ArrayList<>();

    public void setAssessmentList(String assessmentContent, String assessmentMoney, Integer assessmentNumber){
        assessmentList.add(new Assessment(assessmentContent, assessmentMoney, assessmentNumber));
    }

    @Data
    private class Assessment{

        private String assessmentContent;

        private String assessmentMoney;

        private Integer assessmentNumber;

        private Assessment(String assessmentContent, String assessmentMoney, Integer assessmentNumber){
            this.assessmentContent = assessmentContent;
            this.assessmentMoney = assessmentMoney;
            this.assessmentNumber = assessmentNumber;
        }

    }

}
