package org.springblade.business.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class AssessmentUserVOS {

    @ApiModelProperty("当前页")
    private Integer current;

    @ApiModelProperty("每页数量")
    private Integer size;

    @ApiModelProperty("处理流程ID")
    private Long uoFlowId;

    @ApiModelProperty("考核记录ID")
    private Long assessmentId;

    @ApiModelProperty("考核时间")
    private String createTime;

    @ApiModelProperty("考核金额")
    private String assessmentMoney;

    @ApiModelProperty("考核原因")
    private String assessmentContent;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("合同段名称")
    private String contractName;

    @ApiModelProperty("消息ID")
    private Long userOpinionId;

    @ApiModelProperty("问题描述")
    private String opinionContent;

    @ApiModelProperty("用户ID，查询条件，为空则查询所有，有值则查询具体人员")
    private Long userId;

    @ApiModelProperty("图片路径")
    private List<String> fileUrlList = new ArrayList<>();

    @ApiModelProperty("考核开始时间，查询条件，传 yyyy-MM-dd hh:mm")
    private String startTime;

    @ApiModelProperty("考核结束时间，查询条件，传 yyyy-MM-dd hh:mm")
    private String endTime;

}
