package org.springblade.business.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class NeiYeQueryVO {

    @ApiModelProperty(value = "父节点ID")
    private String parentId;

    @ApiModelProperty(value = "当前页")
    private Integer current;

    @ApiModelProperty(value = "每页数量")
    private Integer size;

    @ApiModelProperty(value = "文字查询")
    private String queryStr;

    @ApiModelProperty(value = "是否关联试验 true为已关联")
    private Boolean isExperiment;

    @ApiModelProperty(value = "审批状态，1未上报，2待审批，3已审批")
    private String taskStatus;

    @ApiModelProperty(value = "是否评定 true为已评定")
    private Boolean isEvaluate;

    @ApiModelProperty(value = "上报批次")
    private String reportNumber;

    @ApiModelProperty(value = "项目ID")
    private String contractId;

}
