package org.springblade.business.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 天气台账实体
 */
@Data
public class WeatherInfoVo {

    private Long id;

    private String contractAreaId;

    private String weather;

    private String airTemp;

    private String recordTime;

    private String tempHigh;

    private String tempLow;

    private String windLevel;

    @ApiModelProperty("合同段ID")
    private String contractId;

}
