package org.springblade.manager.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class WbsTreeAllListDTO implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * wbsId
     */
    @JsonProperty(value = "wbsId")
    @ApiModelProperty(name = "wbsId", value = "wbsId", required = true)
    private String wbsId;

    /**
     * 项目Id
     */
    @JsonProperty(value = "projectId")
    @ApiModelProperty(name = "projectId", value = "项目Id", required = true)
    private String projectId;

    /**
     * 合同Id
     */
    @JsonProperty(value = "contractId")
    @ApiModelProperty(name = "contractId", value = "合同Id", required = true)
    private String contractId;

    /**
     * wbsTreeId
     */
    @JsonProperty(value = "wbsTreeId")
    @ApiModelProperty(name = "wbsTreeIds", value = "字符串拼接wbsTreeIds", required = true)
    private String wbsTreeIds;
}
