package org.springblade.manager.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * wbs节点排序dto
 *
 * @author liuyc
 * @since 2022-06-08
 */
@Data
public class WbsTreeDTO2 implements Serializable {
    private static final long serialVersionUID = 1L;


    /**
     * wbs节点树id
     */
    @JsonProperty(value = "id")
    private String id;

    /**
     * 节点名
     */
    @JsonProperty(value = "deptName")
    private String deptName;

    /**
     * wbs节点sort
     */
    @JsonProperty(value = "sort")
    private Integer sort;


}
