package org.springblade.manager.dto;



import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springblade.manager.entity.WbsTreePrivate;

/**
 * 项目分配wbs传输对象实体类
 *
 * @author liuyc
 * @since 2022-05-12
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class WbsTreePrivateDTO extends WbsTreePrivate {
    private static final long serialVersionUID = 1L;

    /**
     * wbsTreeId
     */
    @JsonProperty(value = "wbsTreeId")
    @ApiModelProperty(name = "wbsTreeIds", value = "字符串拼接wbsTreeIds", required = true)
    private String wbsTreeIds;

}
