package org.springblade.manager.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

import javax.validation.constraints.Size;

/**
 * @author yangyj
 * @Date 2022/6/9 11:44
 * @description TODO
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("formula")
public class Formula extends BaseEntity {
   private String name;
   @Size(max = 1024)
   private String formula;
   @Size(max = 50)
   private String number;
   private Integer orderNum;
   private String remark;
   @Size(max = 20)
   private Long wbsId;
   @Size(max = 20)
   private Long elementId;
   private String map;
}
