package org.springblade.business.mapper;

import org.apache.ibatis.annotations.Param;
import org.springblade.business.entity.FixedFlow;
import org.springblade.business.vo.FixedFlowVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;

/**
 *  Mapper 接口
 *
 * @author BladeX
 * @since 2022-07-01
 */
public interface FixedFlowMapper extends BaseMapper<FixedFlow> {

	Integer countFixedFlow(@Param("vo") FixedFlowVO vo);

	/**
	 * 分页
	 */
	List<FixedFlow> selectFixedFlowPage(@Param("current") Long current, @Param("size") Integer size, @Param("vo") FixedFlowVO vo);

}
