package org.springblade.business.service;

import org.springblade.business.entity.ConstructionLedger;
import org.springblade.business.vo.ConstructionLedgerVO;
import org.springblade.core.mp.base.BaseService;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 *  服务类
 *
 * @author BladeX
 * @since 2022-05-23
 */
public interface IConstructionLedgerService extends BaseService<ConstructionLedger> {

	/**
	 * 自定义分页
	 *
	 * @param page 分页信息
	 * @param constructionLedger 查询参数
	 * @return 结果集合
	 */
	IPage<ConstructionLedger> selectConstructionLedgerPage(IPage<ConstructionLedger> page, ConstructionLedgerVO constructionLedger);

	/**
	 * 根据ID修改信息
	 * @param constructionLedger 参数
	 * @return 修改结果
	 */
	boolean updateById(ConstructionLedger constructionLedger);

}
