/*
 Navicat Premium Data Transfer

 Source Server         : localhost
 Source Server Type    : MySQL
 Source Server Version : 50651
 Source Host           : localhost:3306
 Source Schema         : bladex

 Target Server Type    : MySQL
 Target Server Version : 50651
 File Encoding         : 65001

 Date: 26/05/2022 16:45:16
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for m_project_contract_area
-- ----------------------------
DROP TABLE IF EXISTS `m_project_contract_area`;
CREATE TABLE `m_project_contract_area`  (
  `id` bigint(64) NOT NULL COMMENT '主键',
  `project_id` bigint(64) NOT NULL COMMENT '项目ID',
  `contract_id` bigint(64) NOT NULL COMMENT '合同段ID',
  `province` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '省',
  `city` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '市',
  `county` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '县/区',
  `city_code` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '编码',
  `create_user` bigint(64) NULL DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint(64) NULL DEFAULT NULL COMMENT '创建人所在部门',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint(64) NULL DEFAULT NULL COMMENT '修改人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `status` int(10) NULL DEFAULT NULL COMMENT '状态',
  `is_deleted` int(10) NULL DEFAULT NULL COMMENT '是否已删除，默认0',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '项目合同段所在地区表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of m_project_contract_area
-- ----------------------------

SET FOREIGN_KEY_CHECKS = 1;
