/*
 Navicat Premium Data Transfer

 Source Server         : localhost
 Source Server Type    : MySQL
 Source Server Version : 50651
 Source Host           : localhost:3306
 Source Schema         : bladex

 Target Server Type    : MySQL
 Target Server Version : 50651
 File Encoding         : 65001

 Date: 26/05/2022 11:32:42
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for u_user_opinion
-- ----------------------------
DROP TABLE IF EXISTS `u_user_opinion`;
CREATE TABLE `u_user_opinion`  (
  `id` bigint(64) NOT NULL COMMENT '主键',
  `project_id` bigint(64) NULL DEFAULT NULL COMMENT '项目ID',
  `contract_id` bigint(64) NULL DEFAULT NULL COMMENT '合同段ID',
  `opinion_content` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '内容',
  `number` int(10) NULL DEFAULT 1 COMMENT '第几次流程，初始为1，触发“不满意并再次提交解决”时在当前基础上递增',
  `problem_type` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '问题类型',
  `good_number` int(10) NULL DEFAULT 0 COMMENT '点赞数',
  `create_user` bigint(64) NULL DEFAULT NULL COMMENT '创建人',
  `create_user_name` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人姓名',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `create_dept` bigint(64) NULL DEFAULT NULL COMMENT '创建人所在部门',
  `update_user` bigint(64) NULL DEFAULT NULL COMMENT '修改人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `status` int(10) NULL DEFAULT NULL COMMENT '状态',
  `is_deleted` int(10) NULL DEFAULT 0 COMMENT '是否已删除，默认0',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户意见表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of u_user_opinion
-- ----------------------------
INSERT INTO `u_user_opinion` VALUES (9014360401891442191, NULL, NULL, '测试，我也不知道测试什么，瞎鸡儿测呗', 1, '页面卡顿', 70, 1123598821738675201, 'admin', '2022-05-26 10:25:03', 1123598813738675201, 1123598821738675201, '2022-05-26 10:18:24', NULL, 0);

SET FOREIGN_KEY_CHECKS = 1;
