/*
 Navicat Premium Data Transfer

 Source Server         : localhost
 Source Server Type    : MySQL
 Source Server Version : 50651
 Source Host           : localhost:3306
 Source Schema         : bladex

 Target Server Type    : MySQL
 Target Server Version : 50651
 File Encoding         : 65001

 Date: 26/05/2022 11:32:55
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for u_user_opinion_file
-- ----------------------------
DROP TABLE IF EXISTS `u_user_opinion_file`;
CREATE TABLE `u_user_opinion_file`  (
  `id` bigint(64) NOT NULL COMMENT '主键',
  `user_opinion_id` bigint(64) NOT NULL COMMENT 'u_user_opinion表主键',
  `file_url` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '上传附件的文件地址',
  `create_user` bigint(64) NULL DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint(64) NULL DEFAULT NULL COMMENT '创建人所在部门',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint(64) NULL DEFAULT NULL COMMENT '修改人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `status` int(10) NULL DEFAULT NULL COMMENT '状态',
  `is_deleted` int(10) NULL DEFAULT 0 COMMENT '是否已删除，默认0',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户意见附件表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of u_user_opinion_file
-- ----------------------------

SET FOREIGN_KEY_CHECKS = 1;
