/*
 Navicat Premium Data Transfer

 Source Server         : localhost
 Source Server Type    : MySQL
 Source Server Version : 50651
 Source Host           : localhost:3306
 Source Schema         : bladex

 Target Server Type    : MySQL
 Target Server Version : 50651
 File Encoding         : 65001

 Date: 12/05/2022 10:20:33
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for u_weather_info
-- ----------------------------
DROP TABLE IF EXISTS `u_weather_info`;
CREATE TABLE `u_weather_info`  (
  `id` bigint(64) NOT NULL COMMENT '主键',
  `contract_area_id` bigint(64) NOT NULL COMMENT '合同段区域ID',
  `weather` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '天气',
  `air_temp` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '平均气温',
  `record_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '天气记录日期',
  `temp_high` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '最高气温',
  `temp_low` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '最低气温',
  `wind_level` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '风力等级',
  `create_user` bigint(64) NULL DEFAULT NULL COMMENT '创建人',
  `create_dept` varchar(64) NULL DEFAULT NULL COMMENT '创建人部门',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_user` bigint(64) NULL DEFAULT NULL COMMENT '修改人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `status` int(10) NULL DEFAULT NULL COMMENT '状态',
  `is_deleted` int(10) NOT NULL DEFAULT 0 COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Compact;

-- ----------------------------
-- Records of u_weather_info
-- ----------------------------
INSERT INTO `u_weather_info` VALUES (1523552071482818562, 12332112345678, '阵雨', '24.5', '2022-05-09 00:05:00', '28', '21', '2级', -1, -1, '2022-05-09 14:34:54', -1, NULL, -1, 0);
INSERT INTO `u_weather_info` VALUES (1523552483216670722, 12332112345678, '晴', '33', '2022-05-08 00:05:00', '36', '30', '3级', NULL, NULL, '2022-05-09 14:36:32', NULL, NULL, NULL, 0);
INSERT INTO `u_weather_info` VALUES (1523552574614749186, 12332112345678, '晴', '33', '2022-05-07 00:05:00', '35', '31', '3级', NULL, NULL, '2022-05-09 14:36:54', NULL, NULL, NULL, 0);
INSERT INTO `u_weather_info` VALUES (1523552637151821825, 12332112345678, '晴', '30', '2022-05-06 00:05:00', '31', '29', '3级', NULL, NULL, '2022-05-09 14:37:09', NULL, NULL, NULL, 0);
INSERT INTO `u_weather_info` VALUES (1523553308185935874, 12332112345678, '晴', '28', '2022-05-05 00:05:00', '30', '26', '3级', NULL, NULL, '2022-05-09 14:39:49', NULL, NULL, NULL, 0);
INSERT INTO `u_weather_info` VALUES (1523553633374519298, 12332112345678, '晴', '28', '2022-05-04 00:00:00', '30', '26', '3级', NULL, NULL, '2022-05-09 14:41:07', NULL, NULL, NULL, 0);
INSERT INTO `u_weather_info` VALUES (1523553852271050753, 12332112345678, '晴', '33', '2022-05-03 00:00:00', '36', '30', '3级', NULL, NULL, '2022-05-09 14:41:59', NULL, NULL, NULL, 0);
INSERT INTO `u_weather_info` VALUES (1523938395046006785, 12332112345678, '多云', '24', '2022-05-10 00:00:00', '29', '19', '2级', NULL, NULL, '2022-05-10 16:10:01', NULL, NULL, NULL, 0);

SET FOREIGN_KEY_CHECKS = 1;
