package org.springblade.manager.excel;


import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * WbsFormElementExcel
 *
 * @author liuyc
 */
@Data
@ColumnWidth(16)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class WbsFormElementExcel implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 元素名称
     */
    @ExcelProperty(value = "元素名称")
    private String elementName;

    /**
     * 元素类型
     */
    @ExcelProperty(value = "数据类型")
    private String elementType;

    /**
     * 元素长度
     */
    @ExcelProperty(value = "长度")
    private String elementLength;

    /**
     * 允许偏差值
     */
    @ExcelProperty(value = "允许偏差值")
    private String elementAllowDeviation;

    /**
     * 检查方法
     */
    @ExcelProperty(value = "检查方法和频率")
    private String elementInspectionMethod;

}
