package org.springblade.manager.excel;


import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * WbsTreeExcel
 *
 * @author liuyc
 */
@Data
@ColumnWidth(16)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class WbsTreeExcel implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 单位工程
     */
    @ExcelProperty(value = "单位工程")
    private String deptCategory1;
    /**
     * 分部工程
     */
    @ExcelProperty(value = "分部工程")
    private String deptCategory2;

    /**
     * 子分部工程
     */
    @ExcelProperty(value = "子分部工程")
    private String deptCategory3;

    /**
     * 分项工程
     */
    @ExcelProperty(value = "分项工程")
    private String deptCategory4;

    /**
     * 子分项工程
     */
    @ExcelProperty(value = "子分项工程")
    private String deptCategory5;
    /**
     * 工序
     */
    @ExcelProperty(value = "工序")
    private String deptCategory6;


}
