package org.springblade.manager.feign;

import lombok.AllArgsConstructor;
import org.apache.commons.lang.StringUtils;
import org.springblade.manager.dto.SaveUserInfoByProjectDTO;
import org.springblade.manager.service.SaveUserInfoByProjectService;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@RestController
@AllArgsConstructor
public class ProjectAssignmentUserClientImpl implements ProjectAssignmentUserClient {

    private final SaveUserInfoByProjectService saveUserInfoByProjectService;

    @Override
    public List<SaveUserInfoByProjectDTO> queryCurrentUserDownAllContractAndProjectId(Long userId) {
        return this.saveUserInfoByProjectService.queryCurrentUserDownAllContractAndProjectId(userId);
    }

    @Override
    public List<SaveUserInfoByProjectDTO> queryCurrentProjectContractAssignmentUserList(Long projectId, Long contractId) {
        return this.saveUserInfoByProjectService.queryProjectBusinessUser(projectId, contractId);
    }
}
