package org.springblade.manager.feign;

import lombok.AllArgsConstructor;
import org.springblade.manager.entity.ProjectInfo;
import org.springblade.manager.service.IProjectInfoService;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@AllArgsConstructor
public class ProjectClientImpl implements ProjectClient {

    private final IProjectInfoService projectInfoService;


    @Override
    public List<ProjectInfo> queryProjectList(List<String> projectIds) {
        return projectInfoService.selectProjectList(projectIds);
    }
}
