/*
 Navicat Premium Data Transfer

 Source Server         : localhost
 Source Server Type    : MySQL
 Source Server Version : 50736
 Source Host           : localhost:3306
 Source Schema         : bladex

 Target Server Type    : MySQL
 Target Server Version : 50736
 File Encoding         : 65001

 Date: 23/05/2022 10:09:16
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for m_wbs_form_element
-- ----------------------------
DROP TABLE IF EXISTS `m_wbs_form_element`;
CREATE TABLE `m_wbs_form_element`  (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `f_id` bigint(20) NULL DEFAULT NULL COMMENT '表单id',
  `e_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '元素名称',
  `e_type` int(2) NULL DEFAULT NULL COMMENT '元素类型',
  `e_length` int(30) NULL DEFAULT NULL COMMENT '元素长度',
  `e_allow_deviation` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '允许偏差值',
  `e_inspection_method` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '检查方法',
  `create_time` datetime(0) NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `create_user` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_dept` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建部门',
  `update_user` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `update_time` datetime(0) NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间',
  `status` int(2) NULL DEFAULT 0 COMMENT '状态是否启用 \'0\'启用 \'1\'禁用',
  `is_deleted` int(2) NULL DEFAULT 0 COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = 'wbs表单元素' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of m_wbs_form_element
-- ----------------------------
SET FOREIGN_KEY_CHECKS = 1;
