package org.springblade.business.entity;


import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.tenant.mp.TenantEntity;

import java.lang.annotation.Documented;

/**
 * @author yangyj
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("t_om_mileage_part")
public class MileagePart  extends TenantEntity {
    private static final long serialVersionUID = 1L;
    private String name;
    private String prefix;
    private String remark;
    private String contractId;
    private String projectId;
    private Integer sort;
}
