package org.springblade.business.vo;

import org.springblade.business.entity.ConstructionLedger;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.List;

/**
 * 视图实体类
 *
 * @author BladeX
 * @since 2022-05-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ConstructionLedgerVO extends ConstructionLedger {
	private static final long serialVersionUID = 1L;

	/**
	 * 施工开始时间
	 */
	private String siteTimeStr;
	/**
	 * 施工结束时间
	 */
	private String detectionTimeStr;

	/**
	 * 节点ID集合，多用于点击上级节点时查询其下级节点
	 */
	private List<String> wbsIds;

	private Integer current;

	private Integer size;

}
