package org.springblade.business.vo;

import io.swagger.annotations.ApiModelProperty;
import org.springblade.business.entity.ContractLog;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 日志通用表视图实体类
 *
 * @author BladeX
 * @since 2022-06-15
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ContractLogVO extends ContractLog {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty("当前页数")
	private Integer current;

	@ApiModelProperty("当前页显示条数")
	private Integer size;

	@ApiModelProperty("时间查询")
	private String queryTime;

	private String startTime;

	private String endTime;

	@ApiModelProperty("关键字查询")
	private String queryValue;

}
