package org.springblade.manager.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 项目分配人员传输对象实体类
 *
 * @author liuyc
 * @since 2022-04-27
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class FindAllUserByConditionDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 项目id
     */
    @JsonProperty(value = "pId")
    private String pId;
    /**
     * 合同id
     */
    @JsonProperty(value = "cId")
    private String cId;
    /**
     * 角色id
     */
    @JsonProperty(value = "rId")
    private String rId;
    /**
     * 岗位id
     */
    @JsonProperty(value = "postId")
    private String postId;

}
