package org.springblade.manager.dto;

import lombok.Data;
import org.springblade.manager.entity.Formula;

import java.util.List;

/**
 * @author yangyj
 * @Date 2022/6/15 15:02
 * @description TODO
 */
@Data
public class FormData {
    /**
     * 元素码:表名_字段名
     */
    private String code;
    /**
     * 步长；跟别的元素计算时候，用于一对多
     */
    private Integer step;
    /**
     * 元素名称
     */
    private String eName;

    /**
     * 元素类型
     */
    private Integer eType;

    /**
     * 元素长度
     */
    private Integer eLength;

    /**
     * 允许偏差值
     */
    private String eAllowDeviation;
    /**
     * 内容：同一个groupId下List<每一页内容>
     * 用于输出
     */
    private List<List<Object>> values;
    /**
     * 公式对象
     */
    private Formula formula;
    /**
     * 业务组：同一个节点，一种表格数据分为多组独立运算
     */
    private  Integer groupId;

    public FormData() {
    }
    public FormData(String code, List<List<Object>> values, Formula formula, Integer groupId) {
        this.code = code;
        this.values = values;
        this.formula = formula;
        this.groupId = groupId;
    }

}
