package org.springblade.manager.dto;

import lombok.Data;

@Data
public class MakeSealDTO {

    //image地址
    private String imageUrl;

    //证书文件地址
    private String pfxFileUrl;

    //证书文件密码
    private String pfxPassword;

    //1：个人 2：企业
    private String customerType = "1";

    // 构造seal码
    private String sealCode;

    // 构造seal密码
    private String sealPassword;

    // 构造seal名
    private String sealName;

    //签章名称
    private String userName;

    //签章名称  IdType.JUMINSHENFENZHENG.getCode()
    private String idType;

    //签章名称
    private String idNo;

    private String operationCode = "gy003";

    @Override
    public String toString() {
        return "MakeSealDto{" +
                "imageUrl='" + imageUrl + '\'' +
                ", pfxFileUrl='" + pfxFileUrl + '\'' +
                ", pfxPassword='" + pfxPassword + '\'' +
                ", customerType='" + customerType + '\'' +
                ", sealCode='" + sealCode + '\'' +
                ", sealPassword='" + sealPassword + '\'' +
                ", sealName='" + sealName + '\'' +
                ", userName='" + userName + '\'' +
                ", idType='" + idType + '\'' +
                ", idNo='" + idNo + '\'' +
                '}';
    }
}
