package org.springblade.manager.entity;


import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

@TableName("m_project_contract_area")
@Data
@EqualsAndHashCode(callSuper = true)
public class ProjectContractArea extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 项目id
     */
    private String projectId;

    /**
     * 合同段id
     */
    private String contractId;

    /**
     *省
     */
    private String province;

    /**
     * 市
     */
    private String city;

    /**
     * 区县
     */
    private String county;

    /**
     * 编码
     */
    private String city_code;

}
