package org.springblade.manager.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.manager.entity.SignPfxFile;

import java.util.ArrayList;
import java.util.List;

@Data
public class RoleSignPfxUserVO {

    /**
     * 角色ID
     */
    @ApiModelProperty(value = "角色ID")
    private Long roleId;

    /**
     * 角色名
     */
    @ApiModelProperty(value = "角色名")
    private String roleName;

    @ApiModelProperty(value = "子角色集合")
    private List<RoleSignPfxUserVO> childRoleList = new ArrayList<>();

    @ApiModelProperty(value = "个人签章集合")
    private List<SignPfxFile> signPfxFileList = new ArrayList<>();

}
