package org.springblade.manager.vo;

import lombok.Data;
import org.springblade.manager.entity.WbsInfo;
import org.springblade.manager.entity.WbsTreePrivate;

import java.io.Serializable;
import java.util.List;


/**
 * wbs合同段树关系实体类
 *
 * @author liuyc
 * @since 2022-05-23
 */
@Data
public class WbsTreeAllListVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * wbs总树
     */
    private List<WbsInfo> wbsInfos;

    /**
     * wbs项目私有树
     */
    private List<WbsTreePrivate> wbsTreePrivates;

    /**
     * wbs合同段私有树
     */
//    private List<WbsTreeContractVO> wbsTreeContracts;


}
