package org.springblade.manager.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 不知道为什么通过远程调用时实体字段不是想要的，所以中间转换一次
 */
@Data
public class WbsTreeContractTreeVOS {

    @ApiModelProperty("显隐控制表单数据")
    private String value;

    private String key;

    @ApiModelProperty("节点类型")
    private Integer type;

    @ApiModelProperty("节点名称")
    private String title;

    @ApiModelProperty("父节点")
    private String parentId;

    private String id;

    @ApiModelProperty("模板类型")
    private Integer wbsType;

    @ApiModelProperty("主键，唯一ID")
    private String primaryKeyId;

    @ApiModelProperty("是否是工序 true为工序")
    private Boolean leaf;

    @ApiModelProperty("节点类型")
    private Integer deptCategory;

    @ApiModelProperty("子节点")
    private List<WbsTreeContractTreeVOS> children = new ArrayList<>();

    @ApiModelProperty("节点上传图纸主键")
    private Long drawingsId;

    @ApiModelProperty("节点上传图纸URL")
    private String fileUrl;

    @ApiModelProperty("是否被标记为首件")
    private Boolean isFirst;

    @ApiModelProperty("图标")
    private String iconValue;

    @ApiModelProperty("划分编号")
    private String partitionCode;

}
