package org.springblade.system.user.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.manager.dto.SaveUserInfoByProjectDTO;
import org.springblade.system.user.entity.User;

import java.util.List;

@Data
@EqualsAndHashCode(callSuper = true)
public class UserDTO extends User {
    private static final long serialVersionUID = 1L;

    /**
     * 用户关联项目List
     */
    @ApiModelProperty(value = "用户关联项目List")
    private List<SaveUserInfoByProjectDTO> projectAndUserList;

}
