package org.springblade;

import org.springblade.common.constant.BusinessConstant;
import org.springblade.core.cloud.feign.EnableBladeFeign;
import org.springblade.core.launch.BladeApplication;
import org.springframework.cloud.client.SpringCloudApplication;

/**
 * 客户端启动类
 */
@EnableBladeFeign
@SpringCloudApplication
public class BusinessApplication {

    public static void main(String[] args){
        BladeApplication.run(BusinessConstant.APPLICATION_WEATHER_NAME, BusinessApplication.class, args);
    }

}
