package org.springblade.business.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

/**
 * @author yangyj
 * @Date 2022/6/9 10:59
 * @description TODO
 */
@Data
@ColumnWidth(16)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class DatumPointExcel {
    @ExcelProperty(value = "名称")
    private String name;
    @ExcelProperty(value = "高程")
    private Double h=0.0;
    @ExcelProperty(value = "等级")
    private String level;
    @ExcelProperty(value = "备注")
    private String remark;
}
