package org.springblade.business.feignClient;

import lombok.AllArgsConstructor;
import org.springblade.business.feign.InformationQueryClient;
import org.springblade.business.service.IInformationQueryService;
import org.springblade.core.secure.BladeUser;
import org.springframework.web.bind.annotation.RestController;

@RestController
@AllArgsConstructor
public class InformationQueryClientImpl implements InformationQueryClient {

    private final IInformationQueryService iInformationQueryService;

    @Override
    public void saveOrUpdateInformationQueryData(BladeUser user, Long wbsId, String fileName, Integer classify, Integer sourceType, Long dataId) {
        this.iInformationQueryService.saveOrUpdateInformationQueryData(user, wbsId, fileName, classify, sourceType, dataId);
    }
}
