package org.springblade.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.business.entity.WeatherInfo;

import java.util.List;
import java.util.Map;

public interface WeatherInfoService extends IService<WeatherInfo> {

    /**
     * 根据所选年份获取当年所有天气台账
     */
    List<Map<String, List<Map<String,Object>>>> queryWeatherAllByYear(String year, String contractId);

}
