/*
 Navicat Premium Data Transfer

 Source Server         : localhost
 Source Server Type    : MySQL
 Source Server Version : 50651
 Source Host           : localhost:3306
 Source Schema         : bladex

 Target Server Type    : MySQL
 Target Server Version : 50651
 File Encoding         : 65001

 Date: 23/05/2022 09:53:39
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for u_construction_ledger
-- ----------------------------
DROP TABLE IF EXISTS `u_construction_ledger`;
CREATE TABLE `u_construction_ledger`  (
  `id` bigint(64) NOT NULL COMMENT '主键',
  `station` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '施工桩号',
  `site` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '施工部位',
  `site_start_time` datetime NULL DEFAULT NULL COMMENT '施工开始时间',
  `site_end_time` datetime NULL DEFAULT NULL COMMENT '施工结束时间',
  `detection_start_time` datetime NULL DEFAULT NULL COMMENT '检测开始时间',
  `detection_end_time` datetime NULL DEFAULT NULL COMMENT '检测结束时间',
  `design_volume` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '设计方量',
  `actual_volume` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '实际方量',
  `is_beton` int(2) NULL DEFAULT NULL COMMENT '是否含混凝土',
  `wbs_id` bigint(64) NULL DEFAULT NULL COMMENT 'wbs节点ID',
  `contract_id` bigint(64) NULL DEFAULT NULL COMMENT '合同段ID',
  `project_id` bigint(64) NULL DEFAULT NULL COMMENT '项目ID',
  `create_user` bigint(64) NULL DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint(64) NULL DEFAULT NULL COMMENT '创建人所在部门',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_user` bigint(64) NULL DEFAULT NULL COMMENT '修改人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `status` int(10) NULL DEFAULT NULL COMMENT '状态',
  `is_deleted` int(10) NOT NULL DEFAULT 0 COMMENT '是否已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Compact;

SET FOREIGN_KEY_CHECKS = 1;
