/*
 Navicat Premium Data Transfer

 Source Server         : localhost
 Source Server Type    : MySQL
 Source Server Version : 50651
 Source Host           : localhost:3306
 Source Schema         : bladex

 Target Server Type    : MySQL
 Target Server Version : 50651
 File Encoding         : 65001

 Date: 26/05/2022 11:32:33
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for u_image_classification_show
-- ----------------------------
DROP TABLE IF EXISTS `u_image_classification_show`;
CREATE TABLE `u_image_classification_show`  (
  `id` bigint(64) NOT NULL COMMENT '主键',
  `project_id` bigint(64) NOT NULL COMMENT '项目ID',
  `contract_id` bigint(64) NOT NULL COMMENT '合同段ID',
  `classify_id` bigint(64) NOT NULL COMMENT '分类ID',
  `is_show` int(2) NOT NULL DEFAULT 1 COMMENT '是否显示，1显示，0隐藏，默认1',
  `create_user` bigint(64) NULL DEFAULT NULL COMMENT '创建人ID',
  `create_dept` bigint(64) NULL DEFAULT NULL COMMENT '创建人所在部门',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint(64) NULL DEFAULT NULL COMMENT '修改人ID',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `status` int(10) NULL DEFAULT NULL COMMENT '状态',
  `is_deleted` int(10) NOT NULL DEFAULT 0 COMMENT '是否已删除，默认0',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Compact;

-- ----------------------------
-- Records of u_image_classification_show
-- ----------------------------
INSERT INTO `u_image_classification_show` VALUES (1529351251455336449, 123, 1526084137503068161, 0, 1123598821738675201, 1123598813738675201, NULL, NULL, NULL, NULL, 0);
INSERT INTO `u_image_classification_show` VALUES (1529351251505668097, 123, 1526084314477531137, 0, 1123598821738675201, 1123598813738675201, NULL, NULL, NULL, NULL, 0);
INSERT INTO `u_image_classification_show` VALUES (1529351251505668098, 123, 1526085256795033601, 1, 1123598821738675201, 1123598813738675201, NULL, NULL, NULL, NULL, 0);
INSERT INTO `u_image_classification_show` VALUES (1529351251572776962, 123, 1526085356632051714, 1, 1123598821738675201, 1123598813738675201, NULL, NULL, NULL, NULL, 0);

SET FOREIGN_KEY_CHECKS = 1;
