/*
 Navicat Premium Data Transfer

 Source Server         : localhost
 Source Server Type    : MySQL
 Source Server Version : 50651
 Source Host           : localhost:3306
 Source Schema         : bladex

 Target Server Type    : MySQL
 Target Server Version : 50651
 File Encoding         : 65001

 Date: 26/05/2022 11:32:48
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for u_user_opinion_comments
-- ----------------------------
DROP TABLE IF EXISTS `u_user_opinion_comments`;
CREATE TABLE `u_user_opinion_comments`  (
  `id` bigint(64) NOT NULL COMMENT '主键',
  `user_opinion_id` bigint(64) NOT NULL COMMENT 'u_user_opinion表主键',
  `reply_id` bigint(64) NULL DEFAULT NULL COMMENT '回复ID，当前表主键，目前只做一级回复，所以当前字段预留',
  `reply_content` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '回复内容',
  `good_count` int(10) NULL DEFAULT NULL COMMENT '点赞量',
  `project_id` bigint(64) NULL DEFAULT NULL COMMENT '项目ID，创建人所在项目',
  `contract_id` bigint(64) NULL DEFAULT NULL COMMENT '合同段ID，创建人所在合同段',
  `create_user` bigint(64) NULL DEFAULT NULL COMMENT '创建人',
  `create_dept` bigint(64) NULL DEFAULT NULL COMMENT '创建人所在部门',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_user` bigint(20) NULL DEFAULT NULL COMMENT '修改人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `status` int(10) NULL DEFAULT NULL COMMENT '状态',
  `is_deleted` int(10) NULL DEFAULT 0 COMMENT '是否已删除，默认0',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户意见评论表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of u_user_opinion_comments
-- ----------------------------

SET FOREIGN_KEY_CHECKS = 1;
