package org.springblade.manager.excel;

import lombok.RequiredArgsConstructor;
import org.springblade.core.excel.support.ExcelImporter;
import org.springblade.manager.service.IWbsFormElementService;

import java.util.List;


/**
 * Wbs元素批量导入
 *
 * @author liuyc
 */
@RequiredArgsConstructor
public class WbsFormElementBatchImporter implements ExcelImporter<WbsFormElementBatchExcel> {

    private final IWbsFormElementService service;
    private final Boolean isCovered;
    private final String tableId;

    @Override
    public void save(List<WbsFormElementBatchExcel> data) {
        service.importElement2(data, isCovered, tableId);
    }
}
