package org.springblade.manager.feign;

import lombok.AllArgsConstructor;
import org.springblade.manager.entity.ProjectContractArea;
import org.springblade.manager.service.ProjectContractAreaService;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@AllArgsConstructor
public class ProjectContractAreaClientImpl implements ProjectContractAreaClient {

    private final ProjectContractAreaService projectContractAreaService;

    @Override
    public List<ProjectContractArea> queryAllContractArea() {
        return this.projectContractAreaService.queryAllContractArea();
    }

    @Override
    public ProjectContractArea queryContractAreaByContractId(String contractId) {
        return this.projectContractAreaService.queryContractAreaByContractId(contractId);
    }
}
