package org.springblade.manager.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.lettuce.core.dynamic.annotation.Param;
import org.springblade.manager.dto.SaveUserInfoByProjectDTO;
import org.springblade.system.user.entity.User;

import java.util.List;

public interface SaveUserInfoByProjectMapper extends BaseMapper<SaveUserInfoByProjectDTO> {

    List<User> findMaintenanceUser();

    List<SaveUserInfoByProjectDTO> queryCurrentUserDownAllContractAndProjectId(@Param("userid") Long userId);

    List<SaveUserInfoByProjectDTO> queryProjectBusinessUser(@Param("projectId") Long projectId,@Param("contractId") Long contractId);


}
